.a-ui {
    --text1: white;
    --button: var(--black);
    --pbk: var(--cascade);
    --price: white;
    --bk: var(--Y);
    --select: var(--black);
    margin: 0 auto;
    max-width: 48rem;
}
.carwash {
    --text1: white;
    --button: lightgray;
    --price: gray;
    --select: gray;
}
.accordian {
    display: flex;
    flex-direction: column;
    gap: 0;
    width: 100%;
}
.accordian a {
    width: unset;
}
.accordian button {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    width: 100%;
    text-align: start;
    padding: 1rem;
    background-color: var(--button);
    border-bottom: 0.25rem solid var(--pbk);
}
.accordian button span:last-child {
    font-style: italic;
    background-color: var(--pbk);
    border-radius: 1rem;
    color: var(--price);
    padding: 0.5rem;
}
.accordian .B {
    padding: 1rem;
    display: none;
    flex-direction: column;
    gap: 1rem;
    font-weight: normal;
    text-align: start;
    background-color: var(--bk);
}
.accordian .B.on {
    display: flex;
}
.accordian .B p {
    color: var(--button);
    font-size: var(--size1);
}
.accordian div * {
    color: white;
}
.accordian h2 {
    font-style: italic;
    text-transform: uppercase;
    color: var(--text1);
    font-size: var(--size2);
}
.accordian > li {
    scroll-margin-top: 50.5px;
}
.accordian button.on {
    position: sticky;
    top: 50.5px;
    z-index: 4;
}
.accordian button.on .arrow {
    transform: rotate(-45deg);
}
.accordian :is(img,video) {
    border: 0.125rem solid var(--text1);
    box-sizing: border-box;
}

a {
    display: inline-block;
    text-decoration: none;
    font-weight: bold;
    text-wrap: nowrap;
    color: lightgray;
    z-index: 100;
}

.arrow {
    border-top: 0.25rem solid var(--text1);
    border-right: 0.25rem solid var(--text1);
    border-radius: 0.125rem;
    padding: 0.5rem;
    transform: rotate(135deg);
}

button {
    cursor: pointer;
    font-weight: bold;
    padding: 0.5rem;
    border: 0;
    font-size: var(--size0);
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    color: white;
}

.card .link {
    padding: 1rem;
    border-radius: 2rem;
    text-transform: uppercase;
    font-style: italic;
    font-size: var(--size0);
    color: var(--card);
}

.carwash-select {
    display: flex;
    gap: 0.25rem;
    width: 100%;
    font-weight: bold;
    font-size: var(--size0);
}
.carwash-select button {
    padding: 0;
    border-top: 8px solid transparent;
    border-bottom: 8px solid transparent;
    border-left: 12px solid var(--select);
    background-color: transparent;
}
.carwash-select button:nth-child(1) {
    transform: rotate(180deg);
}
.carwash-select span {
    color: var(--select);
    width: 8rem;
    font-size: 1rem;
    font-style: italic;
}

.link:not(.card .link, .link.X) {
    --bk: var(--black);
    background-color: var(--bk);
    color: white;
    padding: var(--size0);
    border-radius: 2rem;
    box-shadow: var(--shadow);
    margin-top: 1.625rem;
    text-transform: uppercase;
    font-style: italic;
    font-size: var(--size0);
    text-shadow: none;
    outline: 0.125rem solid var(--bk);
    outline-offset: 0.5rem;
    transition: outline-offset 0.125s ease-in-out;
}
.link:not(.card .link):hover {
    outline-offset: 0rem;
}
.link.X, .card .link {
    --bk: var(--black);
    background-color: var(--bk);
    color: white;
    padding: var(--size0);
    border-radius: 2rem;
    box-shadow: var(--shadow);
    margin-top: none;
    text-transform: uppercase;
    font-style: italic;
    font-size: var(--size0);
    text-shadow: none;
    width: fit-content;
    margin: 0 auto;
}
.link.X.v2 {
    background-color: transparent;
    color: var(--bk);
    outline: 0.125rem solid var(--bk);
    transition: none;
}

.location-select {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    position: absolute;
    right: 0;
    top: -2rem;
}
.location-select button {
    font-size: var(--size0);
    font-weight: normal;
    font-style: italic;
    width: 100%;
    text-align: end;
}

.ui-scroll {
    --ui: var(--black);
    --index: lightgray;
    display: flex;
    align-items: center;
    justify-content: center;
}
.ui-scroll > button {
    background-color: transparent;
    border-top: 8px solid var(--ui);
    border-right: 8px solid var(--ui);
    border-radius: 0.25rem;
    transform: rotate(45deg);
    margin-inline: 0.75rem;
}
.ui-scroll > button:nth-child(1) {
    transform: rotate(-135deg);
}
.ui-scroll li button {
    padding: 0.75rem 1.5rem;
    border-radius: 3rem;
    background-color: var(--index);
}
.ui-scroll ul {
    display: flex;
    align-items: center;
    gap: 0.5rem;
}
.ui-scroll li button.on {
    background-color: var(--ui);
}

.tabs {
    display: flex;
    justify-content: center;
}
.tabs button {
    padding: 0.75rem;
    border-radius: 2rem;
    background-color: gray;
    text-transform: uppercase;
    font-weight: normal;
}
.tabs button.on {
    background-color: var(--black);
}

.card.ui {
    --bk: var(--black);
    --text: white;
    padding: 0;
    max-width: 18rem;
    box-sizing: border-box;
    border: 0.25rem solid var(--bk);
    border-radius: 1.25rem;
}
.card.ui > span {
    color: var(--text);
    font-size: var(--size2);
    text-align: center;
    background-color: var(--bk);
    border-bottom-left-radius: 0.5rem;
    border-bottom-right-radius: 0.5rem;
}
.card.ui img {
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}